attern="\d+(\.\d+[eE][+\-]?\d+|\.\d*|[eE][+\-]?\d+)">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="\.\d+([eE][+\-]?\d+)?">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="(0|[1-9][0-9]*)">
        <token type="LiteralNumberInteger"/>
      </rule>
      <rule pattern="&#34;&#34;&#34;.*?&#34;&#34;&#34;">
        <token type="LiteralStringDouble"/>
      </rule>
      <rule pattern="&#34;(\\\\|\\&#34;|[^&#34;])*&#34;">
        <token type="LiteralStringDouble"/>
      </rule>
      <rule pattern="\$/((?!/\$).)*/\$">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="/(\\\\|\\&#34;|[^/])*/">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="^(\w+)">
        <token type="Name"/>
      </rule>
      <rule pattern="[a-z_-][\w-]*(?=\()">
        <token type="NameFunction"/>
      </rule>
      <rule pattern="[\r\n\s]+">
        <token type="TextWhitespace"/>
      </rule>
      <rule pattern="(package|import)(\s+)">
        <bygroups>
          <token type="KeywordDeclaration"/>
          <token type="Text"/>
        </bygroups>
      </rule>
      <rule pattern="[=&lt;&gt;!+-/*&amp;|]">
        <token type="Operator"/>
      </rule>
      <rule pattern=":=">
        <token type="Operator"/>
      </rule>
      <rule pattern="[[\]{}():;]+">
        <token type="Punctuation"/>
      </rule>
      <rule pattern="[$a-zA-Z_]\w*">
        <token type="NameOther"/>
      </rule>
    </state>
  </rules>
</lexer>